Bug 692541 - Review Request: rep-gtk - GTK+ binding for librep Lisp environment
Review Request: rep-gtk - GTK+ binding for librep Lisp environment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
: rep-gtk (view as bug list)
Depends On: 692537
Blocks: RussianFedoraRemix 692543
  Show dependency treegraph
 
Reported: 2011-03-31 10:13 EDT by Kim B. Heino
Modified: 2011-04-24 22:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: rep-gtk-0.90.5-4.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-24 22:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kim B. Heino 2011-03-31 10:13:33 EDT
Spec URL: http://b.bbbs.net/sawfish/rep-gtk.spec
SRPM URL: http://b.bbbs.net/sawfish/rep-gtk-0.90.5-1.fc15.src.rpm
Description:
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

---

This is my first package and I need a sponsor. This package is needed by Sawfish.
Comment 1 Jason Tibbitts 2011-03-31 15:33:40 EDT
*** Bug 431251 has been marked as a duplicate of this bug. ***
Comment 2 Peter Lemenkov 2011-04-01 05:12:13 EDT
I'll review it
Comment 3 Kim B. Heino 2011-04-01 13:26:18 EDT
Please wait... Changes made in #692537 broke this package. I'll check and fix them first.
Comment 4 Kim B. Heino 2011-04-12 12:06:39 EDT
Updated files:

Spec URL: http://b.bbbs.net/sawfish/rep-gtk.spec
SRPM URL: http://b.bbbs.net/sawfish/rep-gtk-0.90.5-2.fc15.src.rpm
Comment 5 Peter Lemenkov 2011-04-13 06:02:39 EDT
Koji scrathcbuild for F-16:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2997597
Comment 6 Peter Lemenkov 2011-04-13 06:26:08 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent:

work ~/Desktop: rpmlint rep-gtk-*
rep-gtk.src: W: spelling-error Summary(en_US) librep -> lib rep, lib-rep, libretto
rep-gtk.src: W: spelling-error %description -l en_US librep -> lib rep, lib-rep, libretto
rep-gtk-devel.x86_64: W: spelling-error %description -l en_US librep -> lib rep, lib-rep, libretto
rep-gtk-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum rep-gtk-0.90.5.tar.bz2*
c4ce0d5c560f0846461abd623255342c503b19f3c2d2e32377c62d4765dfac1a  rep-gtk-0.90.5.tar.bz2
c4ce0d5c560f0846461abd623255342c503b19f3c2d2e32377c62d4765dfac1a  rep-gtk-0.90.5.tar.bz2.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.

0 No shared library files in some of the dynamic linker's default paths. You should remove %post and %postun targets entirely - they are useless.

+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.

- The package MUST own all directories that it creates. nfortunately I think that there is some lack of agreement between librep and rep-gtk about directory structure.

This is the directory layout from librep (only interesting ones listed):

/usr/lib64/rep
/usr/lib64/rep/0.91.1
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu/rep
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu/rep/data
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu/rep/i18n
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu/rep/io
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu/rep/io/db
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu/rep/lang
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu/rep/util
/usr/lib64/rep/0.91.1/x86_64-redhat-linux-gnu/rep/vm

And this the full directory and files layout from rep-gtk (except docs):

/usr/lib64/rep/x86_64-redhat-linux-gnu/gui
/usr/lib64/rep/x86_64-redhat-linux-gnu/gui/gtk-2
/usr/lib64/rep/x86_64-redhat-linux-gnu/gui/gtk-2/gtk.so


You see - librep uses versioned directory structure while rep-gtk is not, thus the directory "/usr/lib64/rep/x86_64-redhat-linux-gnu" from rep-gtk package becomes unowned.

Btw I really don't see any reason on using versioned directory structure in librep. Technically it's ok (disregard rep-gtk for now) but it doesn't have any sense.

+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) files are stored in a -devel package and necessary runtime requirement is picked up automatically.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

So, please, fix the situation with directories and remove %post and %postun sections and I'll continue.
Comment 7 Kim B. Heino 2011-04-13 14:43:50 EDT
> 0 No shared library files in some of the dynamic linker's default paths. You
> should remove %post and %postun targets entirely - they are useless.

Removed.

> - The package MUST own all directories that it creates. nfortunately I think
> that there is some lack of agreement between librep and rep-gtk about directory
> structure.

You are right. We'll fix that in next version upstream.

In the meanwhile, I fixed rep-gtk to own "/usr/lib64/rep/x86_64-redhat-linux-gnu" directory. Updated files:

Spec URL: http://b.bbbs.net/sawfish/rep-gtk.spec
SRPM URL: http://b.bbbs.net/sawfish/rep-gtk-0.90.5-3.fc15.src.rpm
Comment 8 Peter Lemenkov 2011-04-13 15:10:35 EDT
(In reply to comment #7)
> > 0 No shared library files in some of the dynamic linker's default paths. You
> > should remove %post and %postun targets entirely - they are useless.
> 
> Removed.
> 
> > - The package MUST own all directories that it creates. nfortunately I think
> > that there is some lack of agreement between librep and rep-gtk about directory
> > structure.
> 
> You are right. We'll fix that in next version upstream.


Ok. I just opened this ticket (just to be sure that this issue won't be forgotten)

https://bugzilla.redhat.com/696293


> In the meanwhile, I fixed rep-gtk to own
> "/usr/lib64/rep/x86_64-redhat-linux-gnu" directory. Updated files:
> 
> Spec URL: http://b.bbbs.net/sawfish/rep-gtk.spec
> SRPM URL: http://b.bbbs.net/sawfish/rep-gtk-0.90.5-3.fc15.src.rpm

Ok, good. I can't see any other issues so this package is 

APPROVED.



ps. please don't forget that there isn't librep for F-15 yet.
Comment 9 Kim B. Heino 2011-04-14 04:43:00 EDT
New Package SCM Request
=======================
Package Name: rep-gtk
Short Description: GTK+ binding for librep Lisp environment
Owners: kimheino
Branches: f15
InitialCC:
Comment 10 Jason Tibbitts 2011-04-14 11:02:55 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2011-04-19 02:58:28 EDT
rep-gtk-0.90.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rep-gtk-0.90.5-3.fc15
Comment 12 Fedora Update System 2011-04-19 22:43:31 EDT
rep-gtk-0.90.5-3.fc15 has been pushed to the Fedora 15 testing repository.
Comment 13 Fedora Update System 2011-04-20 15:38:24 EDT
rep-gtk-0.90.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rep-gtk-0.90.5-4.fc15
Comment 14 Fedora Update System 2011-04-24 22:41:13 EDT
rep-gtk-0.90.5-4.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.